Botan 1.10.17

Classes | Namespaces | Functions
point_gfp.h File Reference
`#include <botan/curve_gfp.h>`
`#include <vector>`

Go to the source code of this file.

## Classes
struct | Botan::Illegal_Point
struct | Botan::Illegal_Transformation
class | Botan::PointGFp

## Namespaces
| Botan
| std

## Functions
SecureVector< byte > | Botan::EC2OSP (const PointGFp &point, byte format)
bool | Botan::operator!= (const PointGFp &lhs, const PointGFp &rhs)
PointGFp | Botan::operator* (const PointGFp &point, const BigInt &scalar)
PointGFp | Botan::operator+ (const PointGFp &lhs, const PointGFp &rhs)
PointGFp | Botan::operator- (const PointGFp &lhs)
PointGFp | Botan::operator- (const PointGFp &lhs, const PointGFp &rhs)
PointGFp | Botan::OS2ECP (const MemoryRegion< byte > &data, const CurveGFp &curve)
PointGFp | Botan::OS2ECP (const byte data[], size_t data_len, const CurveGFp &curve)
template<>
void | std::swap< Botan::PointGFp > (Botan::PointGFp &x, Botan::PointGFp &y)